<template lang="pug">
.category-link(
  :class="activeLink ? 'category-link__active' : ''")
  nuxt-link(
    :to="`/catalog/${category.slug}`"
    v-if="!noLink") {{ category.name }}
  p(v-if="noLink") {{ category.name }}
</template>

<script>
export default {
  name: 'CetegoriesLink',
  props: {
    category: {
      type: Object,
      required: true
    },
    activeLink: {
      type: Boolean,
      required: false,
      default: false
    },
    noLink: {
      type: Boolean,
      required: false,
      default: false
    }
  }
};
</script>
